Validate by Number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

This API allows you to obtain and validate a Cédula Profesional from the SEP system.

Important points

Required parameters

The required field in this endpoint is:

idCedula

  • Request
{
    "idCedula":"1000000"
}
  • Response
{
    "id": "7b1c3fde24e39400fd272666",
    "createdAt": "2026-05-13T10:15:22.123456789Z",
    "finishedAt": "2026-05-13T10:15:22.208934561Z",
    "duration": 85,
    "status": "SUCCESS",
    "searchableBy": {
        "externalId": ""
    },
    "request": {
        "idCedula": "05482371"
    },
    "response": {
        "results": [
            {
                "anioExpedicion": 2019,
                "areaConocimiento": "DATO NO ENCONTRADO",
                "curp": "GARE950312MDFRZL07",
                "entidadInstitucion": "JALISCO",
                "entidadNacimiento": "DATO NO ENCONTRADO",
                "fechaExpedicion": "2019-09-14",
                "fechaTitulacion": "2018-11-30",
                "foja": "112",
                "genero": "Mujer",
                "institution": "UNIVERSIDAD DE GUADALAJARA",
                "libro": "504",
                "nivelEducativo": "DATO NO ENCONTRADO",
                "nombre": "GABRIELA RAMIREZ ELIZONDO",
                "numero": "43",
                "numeroCedula": "5482371",
                "primerApellido": "RAMIREZ",
                "profesion": "LICENCIATURA EN DERECHO",
                "segundoApellido": "ELIZONDO",
                "sostenimiento": "DATO NO ENCONTRADO",
                "subareaConocimiento": "DATO NO ENCONTRADO",
                "tipoCedula": "C1"
            }
        ],
        "status": "FOUND"
    }
}

Test the service (test cases)
We have included a query parameter in Sandbox to enable you to query the test cases that we created for running tests. To get a response, fill the testCaseId parameter with any of the following cases:

NumIdNameDescription
1681bb9c0d4e2f1a038b7c5e2Respuesta exitosa cédula legacyWhen a result is success, Cédula in format legacy
2681bb9c0d4e2f1a038b7c5e1Respuesta exitosa cédula modernaWhen a result is success, Cédula in new format
3681bb9c0d4e2f1a038b7c5e4Servicio no disponibleUnavailable service
4681bb9c0d4e2f1a038b7c5e3No encontrado por cédulaWhen Cedula is not found
📘

Test your own test case In case you want to test your own test case created in link, you can send in the testCaseId query parameter the identifier of the test case you want to use.

Possible Errors

Required fields

You will get a 400 bad request error when number of Cedula not provided in the request body.

[
    {
        "code": "REQUIRED_FIELD_ERROR",
        "message": "EMPTY_ERROR   can't be empty",
        "field": "idCedula"
    }
]

Invalid format

[
    {
        "code": "FORMAT_ERROR",
        "message": "wrong type, wanted: string",
        "field": "idCedula"
    }
]

Unavailable service

{
  "message": "El servicio no se encuentra disponible",
  "status": "UNAVAILABLE"
}

Testcase not given

Test case not found if a test case parameter is not sent or a value other than those mentioned above is sent, the service will return the following error 400 bad request

[
    {
        "code": "EMPTY_ERROR",
        "message": "no id given",
        "field": "testCaseId"
    }
]

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json